package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 评价来源 (安卓,导视机,微信)枚举类
*
* @author zxfei
*/
public enum PjSourceEnum {
    安卓("安卓", "安卓"),
    导视机("导视机", "导视机"),
    微信("微信", "微信");
    private String value;
    private String desc;

    PjSourceEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PjSourceEnum getByValue(String value) {
        for (PjSourceEnum pjSourceEnum : PjSourceEnum.values()) {
            if (pjSourceEnum.getValue() == value) {
                return pjSourceEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PjSourceEnum item : PjSourceEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}